## privoxy 3.0.10-2

=== debian/changelog ===
privoxy (3.0.10-2) unstable; urgency=low

  * Rebuild for maemo.

 -- Terrence Fleury <terrencegf@gmail.com>  Tue, 14 Oct 2008 10:12:35 -0500

privoxy (3.0.10-1) unstable; urgency=low

  * New upstream version 3.0.10-stable.
  * Install privoxy-log-parser into /usr/bin.
  * Add lintian-override for libtool warnings according pcre, because we
    do not use this version of pcre but the one from libpcre3-dev.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 20 Sep 2008 17:33:30 +0200

privoxy (3.0.9-1) unstable; urgency=low

  * New upstream version 3.0.9-beta.
  * Upgrade all patches to new version:
    - 20_makefile_fixup included upstream.
  * The new version doesn't support PDF documentation any more, so remove
    it from the Debian package.
    -> Stop Build-Depending on htmldoc.
  * The new version doesn't support text/plain documentation any more, so
    remove it from the Debian package.
  * Upgrade to Standards-Version 3.8.0 (no changes)
  * Move documentation from doc-base section Apps/Net to Network/Web Browsing.
  * chown user:group instead of user.group in postinst to be more compatible.
  * 05_defaut_action: unblock qa.debian.org/popcon.php (Closes: #479525).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 07 Jul 2008 22:35:17 +0200

privoxy (3.0.8-1) unstable; urgency=low

  * New upstream release 3.0.8-stable.
  * Upgrade all patches to new version.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 20 Jan 2008 22:19:02 +0100

privoxy (3.0.7-2) unstable; urgency=low

  * Remove trailing space from debian/patches/00list to make lintian happy.
  * postinst: On upgrade from 3.0.6 and below the config file format
    changed: actionsfile now needs filename.action as parameter instead of
    filename. Fix this config file change in postinst if necessary.
    (Closes: #456274).
  * Upgrade to Standards-Version 3.7.3 (no changes).
  * 19_manpage_fixup: Replace "ö" by "\[:o]" in privoxy.8.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 12 Jan 2008 16:02:14 +0100

privoxy (3.0.7-1) unstable; urgency=low

  * New upstream version 3.0.7-beta.
  * Adapt all patches to new version.
  * Enable new zlib feature (Closes: #368448):
    - build-depend on zlib1g-dev
    - disable prevent-compression in 25_standard_medium.dpatch
  * Remove 28_pcre_returncode.dpatch, which is now applied upstream.
  * Remove 23_fix_faq_id.dpatch, which is now applied upstream.
  * Fix Homepage header in control file.
  * 05_defaut_action: disable filter{js-annoyances} for
    http://www.memo.de/ (Closes: #441256).
  * Update debian/watch file based on an idea of Raphael Geissert.
    (Closes: #449643)

 -- Roland Rosenfeld <roland@debian.org>  Tue, 11 Dec 2007 19:34:35 +0100

privoxy (3.0.6-4) unstable; urgency=low

  * Set "enable-remote-http-toggle 0" by default because otherwise
    requests may be able to bypass filtering by setting "X-Filter: No"
    headers using some strange javascript code.
  * Disable default logging of every GET/POST/CONNECT request to protect
    your privacy a bit more.
  * 05_defaut_action: Stop blocking Andorra ccTLD (.ad) (Closes: #445461).
  * Run make clean/distclean only if GNUmakefile exists in debian/rules.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 21 Oct 2007 12:47:51 +0200

privoxy (3.0.6-3) unstable; urgency=low

  * According to http://wiki.debian.org/AccountHandlingInMaintainerScripts
    removing system users in postrm isn't a good idea. So the removal of
    user privoxy in postrm was disabled and deluser/adduser of existing
    user in postinst was also removed. This should avoid problems with
    purging privoxy if passwd package isn't intalled (Closes: #417015).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 19 May 2007 21:22:42 +0200

privoxy (3.0.6-2) unstable; urgency=medium

  * 28_pcre_returncode: Don't crash if pcre returns an error code that
    pcrs didn't expect (Closes: #404284).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 23 Dec 2006 21:47:12 +0100

privoxy (3.0.6-1) unstable; urgency=low

  * New upstream release 3.0.6.
    - remove 28_usermanual_slash.dpatch, which is already included
      upstream now.
  * README.Debian: mention that privoxy has to be used as HTTP proxy to
    access http://p.p/ URLs (Closes: #398162).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 20 Nov 2006 19:29:27 +0100

privoxy (3.0.5-beta-3) unstable; urgency=medium

  * Disable the IPv6 patch, because this is seems to have too many bugs
    for a release right now.  
    - This reopens #179461.
    - This solves the problem, that "listen-address :8118" listens on
      localhost only (Closes: #391600).
    - This solves the problem, that regex pattern at front of hostname
      is ignored (Closes: #393605). 
  * Use /usr/share/dpatch/dpatch.make in debian/rules instead of adding
    the content by hand.
  * Extended version of 26_edit_only_writable.dpatch by Fabian Keil.  Now
    shows a message, that the file is write protected.  See SF#1564026.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 22 Oct 2006 11:53:02 +0200

privoxy (3.0.5-beta-2) unstable; urgency=low

  * 27_remove_nsl.dpatch: Remove unnecessary linking against libnsl.
  * 28_usermanual_slash.dpatch: Redirect http://p.p/user-manual (without
    trailing slash) to http://p.p/user-manual/ (with trailing slash),
    otherwise the links will be broken (Closes: #244931).

 -- Roland Rosenfeld <roland@debian.org>  Sat,  7 Oct 2006 13:12:13 +0200

privoxy (3.0.5-beta-1) unstable; urgency=low

  * New upstream version 3.0.5-beta.
  * hide-referrer{foo} now allows everything as a forged referrer not 
    only http/https URLs and ignoring invalid URLs (Closes: #258193).  
  * Fixes the name of the filter from "popups" to "all-popups" in
    user.action. (Closes: #385886).
  * Block http://www.google-analytics.com/urchin.js because this is used
    for cross site user tracking according to
    http://www.google.com/analytics/ (Closes: #340913).
  * Adapted all patches to this version.


=== debian/rules ===
#!/usr/bin/make -f
#
# (C) 2002-2008 Roland Rosenfeld <roland@debian.org>, based on
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEBDIR=`pwd`/debian/privoxy
BINDIR=$(DEBDIR)/usr/sbin
CONFDIR=$(DEBDIR)/etc/privoxy
TEMPLATEDIR=$(CONFDIR)/templates

# Include dpatch stuff.
include /usr/share/dpatch/dpatch.make

OPTIMIZE=
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        OPTIMIZE=-O0
else
        OPTIMIZE=-O2
endif

build: build-stamp
build-stamp: patch-stamp
	dh_testdir

	autoheader
	autoconf
	env CFLAGS="$(OPTIMIZE) -g" \
		./configure --prefix=/usr --sysconfdir=/etc \
		--mandir=/usr/share/man	$(WITHDEBUG) \
		--enable-zlib \
		--enable-extended-host-patterns
	$(MAKE)

	touch build-stamp

clean: clean1 unpatch
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f GNUmakefile ] || $(MAKE) clean
	[ ! -f GNUmakefile ] || $(MAKE) distclean
	rm -f configure config.h GNUmakefile
	rm -f privoxy.8

	rm -rf obj
	rm -f ActivityConsole.jar
	rm -f src/java/org/privoxy/activityconsole/*.class

	rm -f doc/source/ldp.dsl
	rm -rf doc/source/temp

	dh_clean -Xrc.privoxy.orig

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k -Xrc.privoxy.orig
	dh_installdirs

	install -d $(BINDIR) $(CONFDIR) $(TEMPLATEDIR)

	install -m 0755 privoxy $(BINDIR)/privoxy

	install -m 0644 config $(CONFDIR)/config
	install -m 0644 default.action $(CONFDIR)/default.action
	install -m 0644 neilvandyke.action $(CONFDIR)/neilvandyke.action
	install -m 0644 standard.action $(CONFDIR)/standard.action
	install -m 0644 user.action $(CONFDIR)/user.action
	install -m 0644 default.filter $(CONFDIR)/default.filter
	install -m 0644 user.filter $(CONFDIR)/user.filter
	install -m 0644 trust $(CONFDIR)/trust

	cp -r templates $(CONFDIR)/
	rm -f $(TEMPLATEDIR)/*~
	rm -rf $(TEMPLATEDIR)/CVS

#	Remove CVS tags and trailing spaces from config files:
	find $(CONFDIR) -type f \
	| xargs grep -l '\$$[A-Z][^$$]*:[^$$]*\$$' \
	| while read f; do \
	    sed -e 's/\$$\(Id: [^$$]*,v\)[^$$]*\$$/\1/' \
		-e 's/\$$\(Source: [^$$]*\)\$$/\1/' \
		-e 's/\$$\(Log: [^$$]*\)\$$/\1/' \
		-e 's/ *$$//' < $$f > $$f.new; \
	    mv -f $$f.new $$f; \
	done

# Build architecture-independent files here.
binary-indep: build-stamp install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build-stamp install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
#	dh_installdocs -XCVS
#	(cd $(DEBDIR)/usr/share/doc/privoxy/; \
#	 mv privoxy-index.html index.html)
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
#	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install patch unpatch \
	clean1

## privoxy 3.0.24

=== Makefile ===
# $Id: Makefile,v 1.11 2006/07/18 14:48:45 david__schmidt Exp $
#
# Written by and Copyright (C) 2001 the SourceForge
# Privoxy team. http://www.privoxy.org/
#
# Based on the Internet Junkbuster originally written
# by and Copyright (C) 1997 Anonymous Coders and 
# Junkbusters Corporation.  http://www.junkbusters.com
#
# This program is free software; you can redistribute it 
# and/or modify it under the terms of the GNU General
# Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# The GNU General Public License should be included with
# this file.  If not, you can view it at
# http://www.gnu.org/copyleft/gpl.html
# or write to the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# $Log: Makefile,v $
# Revision 1.11  2006/07/18 14:48:45  david__schmidt
# Reorganizing the repository: swapping out what was HEAD (the old 3.1 branch)
# with what was really the latest development (the v_3_0_branch branch)
#
# Revision 1.5.2.2  2002/10/25 02:44:23  hal9
# Port of make install, etc from main trunk. Needs testing! Add Slackware
# support, and other related changes. Update related docs.
#
# Revision 1.5.2.1  2002/08/05 17:46:13  oes
# Change make to gmake to fix auto-build on Solaris
#
# Revision 1.5  2002/04/11 12:51:34  oes
# Bugfix
#
# Revision 1.4  2002/04/09 16:38:10  oes
# Added option to run the whole build process
#
# Revision 1.3  2002/03/26 22:29:54  swa
# we have a new homepage!
#
# Revision 1.2  2002/03/24 13:25:42  swa
# name change related issues
#
# Revision 1.1  2001/12/01 11:24:29  jongfoster
# Will display a warning if non-GNU make is used
#
#

#############################################################################

GNU_MAKE_CMD = gmake
MAKE_CMD     = make

error:
	@if [ -f GNUmakefile ]; then \
	    echo "***"; \
	    echo "*** You are not using the GNU version of Make - maybe it's called gmake"; \
	    echo "*** or it's in a different PATH? Please read INSTALL." ; \
	    echo "***"; \
	    exit 1; \
	 elif test -n "$(HOST_ARCH)"  && test -z "$(MAKE_VERSION)" ; then \
	    echo "***"; \
	    echo "*** You are not using GNU Make on Solaris, please make sure you do" ; \
	    echo "*** and re-run 'make' "; \
	    echo "***"; \
	    exit 1 ; \
	 elif test -n "$(MACHINE_ARCH)"  && test -z "$(MAKE_VERSION)" ; then \
	    echo "***"; \
	    echo "*** You are not using GNU Make on FreeBSD, please make sure you do" ; \
	    echo "*** and re-run 'make' "; \
	    echo "***"; \
	    exit 1 ; \
	 else \
	    echo "***"; \
	    echo "*** To build this program, you must run"; \
	    echo "*** autoheader && autoconf && ./configure and then run GNU make."; \
	    echo "***"; \
	    echo -n "*** Shall I do this for you now? (y/n) "; \
	    read answer; \
	    if [ "$$answer" = "y" ]; then \
		autoheader && autoconf && ./configure || exit 1; \
	  	if $(GNU_MAKE_CMD) -v |grep GNU >/dev/null 2>/dev/null; then \
		   $(GNU_MAKE_CMD) ;\
		elif $(MAKE_CMD) -v |grep GNU >/dev/null 2>/dev/null; then \
		   $(MAKE_CMD) ;\
		else \
		   echo "Neither 'make' nor 'gmake' are GNU compatible!" ; \
		   echo "Please read INSTALL." ; \
		   exit 1 ; \
		fi ;\
	    fi; \
	 fi

.PHONY: error

#############################################################################

## Local Variables:
## tab-width: 3
## end:

## privoxy 3.0.10-4

=== debian/changelog ===
privoxy (3.0.10-4) unstable; urgency=low

  * Restored the global.action patch. Problem was with extended pattern
    matching compilation option with maemo.

 -- Terrence Fleury <terrencegf@gmail.com>  Thu, 16 Oct 2008 13:20:00 -0500

privoxy (3.0.10-3) unstable; urgency=low

  * Removed the global.action patch since it seems to cause problems.

 -- Terrence Fleury <terrencegf@gmail.com>  Thu, 16 Oct 2008 09:10:30 -0500

=== debian/control ===
Source: privoxy
Section: user/web
Priority: optional
Maintainer: Terrence Fleury <terrencegf@gmail.com>
Build-Depends: debhelper (>= 5.0.0), autoconf, autotools-dev, libpcre3-dev,
 dpatch, zlib1g-dev
Standards-Version: 3.8.0

Package: privoxy
Architecture: any
Depends: ${shlibs:Depends}
Description: Privacy enhancing HTTP Proxy
 Privoxy is a web proxy with advanced filtering capabilities for
 protecting privacy, filtering web page content, managing cookies,
 controlling access, and removing ads, banners, pop-ups and other
 obnoxious Internet junk. Privoxy has a very flexible configuration
 and can be customized to suit individual needs and tastes. Privoxy
 has application for both stand-alone systems and multi-user networks.
 .
 Privoxy is based on Internet Junkbuster (tm).
 .
 Homepage: http://www.privoxy.org/
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAABnRSTlMA/wD/AP83
 WBt9AAAACXBIWXMAAA7DAAAOwwHHb6hkAAADKklEQVR4nJ2Vy0sbURjFTzQ2iVaN
 Yu0QTVOtxtpWEAUtQlHBalCKLly40VKMhYpLQf0DFKm4Fmu0dGGFbnyA+Ebqovgi
 EEF84CNqhfjA6CS+onH6DSOpTMbn4ZLcuffOb85898yMnOM4SOhnaqpucjINkHnP
 BQYusOxv4LP3lNx7aGamt7/ftbmplWSRTk+Z+npFYmKXwVBwA44uaAd2x8fPqqq+
 SIIEuVzBNTUfS0q6DYZGIBZQAtkinLmi4nhgIAG4YNnHdCyT8U1SVB5qXV3vYmPj
 AV+dzjY8PCgQPbizzc2QpaUXwgHDcLm50OngXVi6xs4OenuxuhrKsqE0cn5Ol50V
 uZtVKqM95zAMioqQlibtbnUVBwdwOnku6dEjN7AAfLjEzc93NzaGTUw895zg4wOV
 6rrSISoK5eXQajmTSba9DZstrKwstrCwKyenQO52/7Jal02mGu8CCVpfx9oa3G6+
 7+eH6GhqstRUssa1t/ODLBtiMuVrtT+ysr7J1eoEtzvjWiegkqOjA8fHfF+tRmkp
 ios5oYhXVVub39CwJXc6429gkWw2zM7KLi74vr8/b0pkX5DLpaYmEWORwsOh13Mn
 J3w/OBihoTctvh1HidHr+dqRHYUCcXHkUXZ0xNF2PQRHLGpXRazFRUxPQ7B8D5xg
 RDS4sYHmZvT1YWvrnjhiTU3BYqHoX47QhhJldJQCJPEM3n6zQ0Noa5PRfXmSQXVk
 WenFt+MOD/ms3FHy5OQ/Dod6cfHVdStoB5VKiaqLFBGxxjB/5dPTjrGxsfR0/V2c
 3qCKitHqagUhcmJifFpavjc1vTWbEx4ACg+31dZ2pqQ8A/J4RxrNe6Oxc3h432x+
 iC+12mE0EicPV27wqdP5P+a0iZ7QX/dO9sjp9CWLQt+DC8rIWFYqx+lZXlkJsdsT
 5ua4gADY7XzKJPchKsqalGQFVAyzD4SIcG8qK+mX4rTX1rZQWvq6rs4nKIhPr3f0
 BWVmWlpb94CXwBMgSYTjicKfwTA4MvLVaMy3WKTfXSrVTk+PKTKSsvVJNCURDo0m
 W6O5CAuz0zdBUr6+u1lZ9JHK9576ByujKPbhMvzlAAAAAElFTkSuQmCC

=== debian/rules ===
--- 
+++ 
@@ -36,8 +36,7 @@
 	env CFLAGS="$(OPTIMIZE) -g" \
 		./configure --prefix=/usr --sysconfdir=/etc \
 		--mandir=/usr/share/man	$(WITHDEBUG) \
-		--enable-zlib \
-		--enable-extended-host-patterns
+		--enable-zlib
 	$(MAKE)
 
 	touch build-stamp
@@ -74,9 +73,10 @@
 
 	install -m 0644 config $(CONFDIR)/config
 	install -m 0644 default.action $(CONFDIR)/default.action
-	install -m 0644 neilvandyke.action $(CONFDIR)/neilvandyke.action
+	install -m 0644 global.action $(CONFDIR)/global.action
 	install -m 0644 standard.action $(CONFDIR)/standard.action
 	install -m 0644 user.action $(CONFDIR)/user.action
+	install -m 0644 neilvandyke.action $(CONFDIR)/neilvandyke.action
 	install -m 0644 default.filter $(CONFDIR)/default.filter
 	install -m 0644 user.filter $(CONFDIR)/user.filter
 	install -m 0644 trust $(CONFDIR)/trust

## privoxy 3.0.10-5

=== debian/changelog ===
privoxy (3.0.10-5) unstable; urgency=low

  * Removed the dependency on libpcre by using privoxy's built-in static pcre.

 -- Terrence Fleury <terrencegf@gmail.com>  Fri, 24 Oct 2008 10:31:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: privoxy
-Section: user/web
+Section: user/tools
 Priority: optional
 Maintainer: Terrence Fleury <terrencegf@gmail.com>
-Build-Depends: debhelper (>= 5.0.0), autoconf, autotools-dev, libpcre3-dev,
- dpatch, zlib1g-dev
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 4.0.0), autoconf, autotools-dev, dpatch, zlib1g-dev
+Standards-Version: 3.7.2
 
 Package: privoxy
 Architecture: any
@@ -20,6 +19,7 @@
  Privoxy is based on Internet Junkbuster (tm).
  .
  Homepage: http://www.privoxy.org/
+XB-Maemo-Display-Name: Privoxy
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAABnRSTlMA/wD/AP83
  WBt9AAAACXBIWXMAAA7DAAAOwwHHb6hkAAADKklEQVR4nJ2Vy0sbURjFTzQ2iVaN

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	env CFLAGS="$(OPTIMIZE) -g" \
 		./configure --prefix=/usr --sysconfdir=/etc \
 		--mandir=/usr/share/man	$(WITHDEBUG) \
+		--disable-dynamic-pcre \
 		--enable-zlib
 	$(MAKE)

## privoxy 3.0.17

=== debian/changelog ===
privoxy (3.0.17) unstable; urgency=low

  * Port of privoxy-3.0.17-stable to Maemo5
  * Source was at : http://sourceforge.net/projects/ijbswa/files/Sources/3.0.17%20%28stable%29/
  * See also : http://www.privoxy.org/
  * Optification :
  - Removed dependency on perl - not useful for most users, saves some rootfs
  - Installs into /opt/privoxy
  - /etc/privoxy -> /opt/privoxy
  - /usr/sbin/privoxy -> /opt/privoxy/privoxy
  - /usr/bin/privoxy-log-parser -> /opt/privoxy/privoxy-log-parser
  
 -- Loic Burtin <speedoflight@hotmail.fr>  Mon, 14 Nov 2011 02:10:18 +0200

=== debian/control ===
Source: privoxy
Section: user/network
Priority: optional
Maintainer: Loic Burtin <speedoflight@hotmail.fr>
Build-Depends: debhelper (>= 5), autoconf, autotools-dev, libpcre3-dev
Standards-Version: 3.7.2
Homepage: http://www.privoxy.org/

Package: privoxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: Privacy enhancing HTTP Proxy
 Privoxy is a web proxy with advanced filtering capabilities for
 protecting privacy, filtering web page content, managing cookies,
 controlling access, and removing ads, banners, pop-ups and other
 obnoxious Internet junk. Privoxy has a very flexible configuration
 and can be customized to suit individual needs and tastes. Privoxy
 has application for both stand-alone systems and multi-user networks.
 .
 Privoxy is based on Internet Junkbuster (tm).
 This is a port to Maemo5.

## privoxy 3.0.17-1

=== debian/changelog ===
privoxy (3.0.17-1) unstable; urgency=low

  * Small bug-fix in the postinst and postrm scripts in order to allow upgrades / reinstalls
  
 -- Loic Burtin <speedoflight@hotmail.fr>  Mon, 14 Nov 2011 18:00:18 +0200

=== debian/control ===
--- 
+++ 
@@ -18,5 +18,27 @@
  has application for both stand-alone systems and multi-user networks.
  .
  Privoxy is based on Internet Junkbuster (tm).
- This is a port to Maemo5.
+ .
+ Homepage: http://www.privoxy.org/
+XB-Maemo-Display-Name: Privoxy
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAABnRSTlMA/wD/AP83
+ WBt9AAAACXBIWXMAAA7DAAAOwwHHb6hkAAADKklEQVR4nJ2Vy0sbURjFTzQ2iVaN
+ Yu0QTVOtxtpWEAUtQlHBalCKLly40VKMhYpLQf0DFKm4Fmu0dGGFbnyA+Ebqovgi
+ EEF84CNqhfjA6CS+onH6DSOpTMbn4ZLcuffOb85898yMnOM4SOhnaqpucjINkHnP
+ BQYusOxv4LP3lNx7aGamt7/ftbmplWSRTk+Z+npFYmKXwVBwA44uaAd2x8fPqqq+
+ SIIEuVzBNTUfS0q6DYZGIBZQAtkinLmi4nhgIAG4YNnHdCyT8U1SVB5qXV3vYmPj
+ AV+dzjY8PCgQPbizzc2QpaUXwgHDcLm50OngXVi6xs4OenuxuhrKsqE0cn5Ol50V
+ uZtVKqM95zAMioqQlibtbnUVBwdwOnku6dEjN7AAfLjEzc93NzaGTUw895zg4wOV
+ 6rrSISoK5eXQajmTSba9DZstrKwstrCwKyenQO52/7Jal02mGu8CCVpfx9oa3G6+
+ 7+eH6GhqstRUssa1t/ODLBtiMuVrtT+ysr7J1eoEtzvjWiegkqOjA8fHfF+tRmkp
+ ios5oYhXVVub39CwJXc6429gkWw2zM7KLi74vr8/b0pkX5DLpaYmEWORwsOh13Mn
+ J3w/OBihoTctvh1HidHr+dqRHYUCcXHkUXZ0xNF2PQRHLGpXRazFRUxPQ7B8D5xg
+ RDS4sYHmZvT1YWvrnjhiTU3BYqHoX47QhhJldJQCJPEM3n6zQ0Noa5PRfXmSQXVk
+ WenFt+MOD/ms3FHy5OQ/Dod6cfHVdStoB5VKiaqLFBGxxjB/5dPTjrGxsfR0/V2c
+ 3qCKitHqagUhcmJifFpavjc1vTWbEx4ACg+31dZ2pqQ8A/J4RxrNe6Oxc3h432x+
+ iC+12mE0EicPV27wqdP5P+a0iZ7QX/dO9sjp9CWLQt+DC8rIWFYqx+lZXlkJsdsT
+ 5ua4gADY7XzKJPchKsqalGQFVAyzD4SIcG8qK+mX4rTX1rZQWvq6rs4nKIhPr3f0
+ BWVmWlpb94CXwBMgSYTjicKfwTA4MvLVaMy3WKTfXSrVTk+PKTKSsvVJNCURDo0m
+ W6O5CAuz0zdBUr6+u1lZ9JHK9576ByujKPbhMvzlAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# (C) 2011 Loic Burtin <speedoflight@hotmail.fr> for the Maemo5 port,
# based on the Debian package by Roland Rosenfeld.
#
# (C) 2002-2008 Roland Rosenfeld <roland@debian.org>, based on
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEBDIR=`pwd`/debian/privoxy

OPTIMIZE=
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        OPTIMIZE=-O0
else
        OPTIMIZE=-O2
endif


build: build-stamp

build-stamp:
	dh_testdir

	autoheader
	autoconf
	env CFLAGS="$(OPTIMIZE) -g" \
		./configure --prefix=/usr --sysconfdir=/etc
	$(MAKE)

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f GNUmakefile ] || $(MAKE) clean
	[ ! -f GNUmakefile ] || $(MAKE) distclean
	rm -f configure config.h GNUmakefile
	rm -f privoxy.8

	rm -rf obj
	rm -f ActivityConsole.jar
	rm -f src/java/org/privoxy/activityconsole/*.class

	rm -f doc/source/ldp.dsl
	rm -rf doc/source/temp

	dh_clean -Xrc.privoxy.orig
	
install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k -Xrc.privoxy.orig
	dh_installdirs

	install -m 755 -D privoxy $(DEBDIR)/opt/privoxy/privoxy

	install -m 644 -D config $(DEBDIR)/opt/privoxy/config
	install -m 644 -D default.action $(DEBDIR)/opt/privoxy/default.action
	install -m 644 -D match-all.action $(DEBDIR)/opt/privoxy/match-all.action
	install -m 644 -D user.action $(DEBDIR)/opt/privoxy/user.action
	install -m 644 -D default.filter $(DEBDIR)/opt/privoxy/default.filter
	install -m 644 -D trust $(DEBDIR)/opt/privoxy/trust

	install -m 755 -D tools/privoxy-log-parser.pl \
		$(DEBDIR)/opt/privoxy/privoxy-log-parser

	cp -r templates $(DEBDIR)/opt/privoxy/
	rm -f $(DEBDIR)/opt/privoxy/templates/*~
	rm -rf $(DEBDIR)/opt/privoxy/templates/CVS


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build-stamp install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
#	dh_installdocs -XCVS
#	(cd $(DEBDIR)/usr/share/doc/privoxy/; \
#	 mv privoxy-index.html index.html)
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
#	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl (SAVES LOT OF ROOTFS)
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## privoxy 3.0.17-2

=== debian/changelog ===
privoxy (3.0.17-2) unstable; urgency=low

  * Bug-fix in the rules script and control file (missing zlib support)

 -- Loic Burtin <speedoflight@hotmail.fr>  Mon, 14 Nov 2011 19:00:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: optional
 Maintainer: Loic Burtin <speedoflight@hotmail.fr>
-Build-Depends: debhelper (>= 5), autoconf, autotools-dev, libpcre3-dev
+Build-Depends: debhelper (>= 5), autoconf, autotools-dev, libpcre3-dev, zlib1g-dev
 Standards-Version: 3.7.2
 Homepage: http://www.privoxy.org/

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,9 @@
 	autoheader
 	autoconf
 	env CFLAGS="$(OPTIMIZE) -g" \
-		./configure --prefix=/usr --sysconfdir=/etc
+		./configure --prefix=/usr --sysconfdir=/etc \
+		--disable-dynamic-pcre \
+		--enable-zlib
 	$(MAKE)
 
 	touch build-stamp

## privoxy 3.0.19

=== debian/changelog ===
privoxy (3.0.19-2+deb7u3) wheezy-security; urgency=high

  * 40_CVE-2016-1982: Prevent invalid reads in case of corrupt
    chunk-encoded content.
  * 41_CVE-2016-1983: Remove empty Host headers in client requests.
    Previously they would result in invalid reads.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 22 Jan 2016 17:51:41 +0100

privoxy (3.0.19-2+deb7u2) wheezy-security; urgency=medium

  * 38_CVE-2015-1381: multiple segmentation faults and memory leaks in the
    pcrs code.
  * 39_CVE-2015-1382: invalid read.
  * These 2 patches Closes: #776490 in wheezy.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 28 Jan 2015 20:33:47 +0100

privoxy (3.0.19-2+deb7u1) stable-security; urgency=medium

  * 35_CVE-2015-1031-CID66394: unmap(): Prevent use-after-free if the map 
    only consists of one item.  CID 66394.
  * 36_CVE-2015-1031-CID66376: pcrs_execute(): Consistently set *result to
    NULL in case of errors.  Should make use-after-free in the caller less
    likely.  CID 66391, CID 66376.
  * These 2 patches Closes: #775167.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 17 Jan 2015 17:20:15 +0100

privoxy (3.0.19-2) unstable; urgency=low

  * Migrate from dpatch to 3.0 (quilt) format.
  * Reformat all patches.
  * Change build depenency from dpatch to debhelper (>= 9).
  * Change debian/compat to "9".
  * Complete rewrite of debian/rules.
  * Now uses hardening via debhelper.
  * Remove README.source.
  * Update to Standards-Version 3.9.3 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 18 May 2012 21:24:55 +0200

privoxy (3.0.19-1) unstable; urgency=low

  * New upstream version 3.0.19-stable.
  * Adapt all patches to new version.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 27 Dec 2011 11:19:53 +0100

privoxy (3.0.18-1) unstable; urgency=low

  * New upstream version 3.0.18-stable.
  * Adapt all patches to new version.
  * Add build-targets build-arch and build-indep.
  * Upgrade to Standards-Version 3.9.2 (no changes).
  * 29_typo: most old typos are fixed now, but lintian found new ones.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 21 Nov 2011 19:29:06 +0100

privoxy (3.0.16-1) unstable; urgency=low

  * New upstream version 3.0.16-stable.
  * Adapt all patches to the new version.
  * 30_localhost_fixup: removed, since this should no longer be necessary.
  * 31_handle-as-empty-doc-returns-ok: now included upstream.
  * 32_bind_fixup: Work around bind problems on startup (Closes: #534735).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 18 May 2010 10:14:18 +0200

privoxy (3.0.15-3) unstable; urgency=low

  * Add Build-Dependency on docbook because docbook-xml which may be
    chained via docbook-dsssl as an alternative to docbook may not be
    enough on a unclean build environment. This should now also build on
    the mips buildd.
  * 31_handle-as-empty-doc-returns-ok: Patch from SourceForge that work2
    around Firefox bug to wait forever if proxy returns a failure status
    code in response to the CONNECT (Closes: #561126).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 25 Dec 2009 11:30:29 +0100

privoxy (3.0.15-2) unstable; urgency=low

  * 30_localhost_fixup: Remove workaround for "localhost" listen-address,
    which should solve all problems with privoxy not starting. 
    (Closes: #534735).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 13 Dec 2009 10:09:11 +0100

privoxy (3.0.15-1) unstable; urgency=low

  * New upstream version 3.0.15-beta.
  * Adapted all patches to the new upstream version.
  * Added debian/README.source (from dpatch package) to explain how dpatch
    works.
  * Upgrade to Standards-Version 3.8.3 (no changes).
  * 29_typos: fix some common typos.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 14 Nov 2009 14:22:31 +0100

privoxy (3.0.14-1) unstable; urgency=low

  * New upstream version 3.0.14-beta.
  * Adapted all patches to the new upstream version.
  * --enable-no-gifs (uses PNG instead of GIF in replacement files).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 26 Jul 2009 12:06:00 +0200

privoxy (3.0.13-1) unstable; urgency=low

  * New upstream version 3.0.13-beta.
  * Adapted all patches to the new upstream version.
  * Removed 03_ipv6, because IPv6 is now supported upstream.
  * Upgrade to Standards-Version 3.8.1 (no changes)
  * Fix matcha-all.action typo in debian/postinst (Closes: #534270).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 23 Jun 2009 15:09:08 +0200

privoxy (3.0.12-2) unstable; urgency=low

  * 03_ipv6: Use s6_addr instead of in6_u, which is not portable.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 25 Mar 2009 21:41:20 +0100

privoxy (3.0.12-1) unstable; urgency=low

  * New upstream version 3.0.12-stable.
  * Adapt all patches to new upstream version.
  * Remove 30_quiet_start, because this is provided upstream now.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 25 Mar 2009 13:27:30 +0100

privoxy (3.0.11-1) unstable; urgency=low

  * New upstream version 3.0.11-stable.
  * 19_manpage_fixup incorporated upstream now.
  * 24_global_action is incorporated upstream in a similar way.
  * postinst: try to make removal of standards.action and global.action
    and new file match-all.action smooth to a user who does not want to
    modify his config file.
  * 30_quiet_start: Suppress INFO log messages on stderr at program startup.
  * Stop redirecting stderr to errorlog file but print all config file
    errors to stderr at startup.  This closes the stderr filehandle since
    upstream fixed the behavior in jcc.c 1.153.
    This also solves the problem, that syntax errors in config file
    weren't noticed, cause they are written to the console on start now
    (Closes: #375174)
  * Modify init.d script to be more lsb compliant.
    Depends on lsb-base (>= 3.2-13) 
  * Allow disabling privoxy via RUN_DAEMON=no in /etc/default/privoxy.
    (Closes: #482563).
  * Update README.Debian to fit all changes.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 22 Feb 2009 22:07:08 +0100



=== debian/control ===
Source: privoxy
Section: web
Priority: optional
Maintainer: Roland Rosenfeld <roland@debian.org>
Build-Depends: debhelper (>= 9), autoconf, autotools-dev, libpcre3-dev,
 jade, docbook-dsssl, docbook, w3m, sp, sgmlspl, groff, man2html, zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.privoxy.org/

Package: privoxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, logrotate,
 adduser, lsb-base (>= 3.2-13)
Recommends: doc-base
Description: Privacy enhancing HTTP Proxy
 Privoxy is a web proxy with advanced filtering capabilities for
 protecting privacy, filtering web page content, managing cookies,
 controlling access, and removing ads, banners, pop-ups and other
 obnoxious Internet junk. Privoxy has a very flexible configuration
 and can be customized to suit individual needs and tastes. Privoxy
 has application for both stand-alone systems and multi-user networks.
 .
 Privoxy is based on Internet Junkbuster (tm).

=== debian/rules ===
#!/usr/bin/make -f
#
# (c) 2002-2012 Roland Rosenfeld <roland@debian.org>
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DEBDIR=`pwd`/debian/privoxy

%:
	dh  $@

override_dh_auto_configure:
	autoheader
	autoconf
	dh_auto_configure -- \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=/usr/share/man \
		--enable-zlib \
		--enable-no-gifs \
		--with-docbook=/usr/share/sgml/docbook/stylesheet/dsssl/modular

override_dh_auto_build:
	$(MAKE)
	$(MAKE) dok
	rm -f doc/webserver/user-manual/*.bak
	env -u LANG $(MAKE) man
	$(MAKE) man2html

override_dh_clean:
	[ ! -f GNUmakefile ] || $(MAKE) clean
	[ ! -f GNUmakefile ] || $(MAKE) distclean
	rm -f configure config.h GNUmakefile
	rm -f privoxy.8
	rm -rf obj
	rm -f ActivityConsole.jar
	rm -f src/java/org/privoxy/activityconsole/*.class
	rm -f doc/source/ldp.dsl
	rm -rf doc/source/temp
	dh_clean -Xrc.privoxy.orig

override_dh_auto_install:
	install -m 0755 privoxy $(DEBDIR)/usr/sbin/privoxy
	install -m 644 config $(DEBDIR)/etc/privoxy/config
	install -m 0644 default.action $(DEBDIR)/etc/privoxy/default.action
	install -m 0644 match-all.action $(DEBDIR)/etc/privoxy/match-all.action
	install -m 0644 user.action $(DEBDIR)/etc/privoxy/user.action
	install -m 0644 default.filter $(DEBDIR)/etc/privoxy/default.filter
	install -m 0644 user.filter $(DEBDIR)/etc/privoxy/user.filter
	install -m 0644 trust $(DEBDIR)/etc/privoxy/trust

	install -m 0755 tools/privoxy-log-parser.pl \
		$(DEBDIR)/usr/bin/privoxy-log-parser
	pod2man tools/privoxy-log-parser.pl \
		> $(DEBDIR)/usr/share/man/man1/privoxy-log-parser.1

	cp -r templates $(DEBDIR)/etc/privoxy/
	rm -f $(DEBDIR)/etc/privoxy/templates/*~
	rm -rf $(DEBDIR)/etc/privoxy/templates/CVS

#	Remove CVS tags and trailing spaces from config files:
	find $(DEBDIR)/etc/privoxy -type f \
	| xargs grep -l '\$$[A-Z][^$$]*:[^$$]*\$$' \
	| while read f; do \
	    sed -e 's/\$$\(Id: [^$$]*,v\)[^$$]*\$$/\1/' \
		-e 's/\$$\(Source: [^$$]*\)\$$/\1/' \
		-e 's/\$$\(Log: [^$$]*\)\$$/\1/' \
		-e 's/ *$$//' < $$f > $$f.new; \
	    mv -f $$f.new $$f; \
	done

override_dh_installdocs:
	dh_installdocs -XCVS
	(cd $(DEBDIR)/usr/share/doc/privoxy/; \
	 mv privoxy-index.html index.html)

## privoxy 3.0.20

=== debian/changelog ===
privoxy (3.0.20-1) unstable; urgency=low

  * New upstream version 3.0.20-beta.
  * Update all patches.
  * Remove 29_typos, which is incorporated upstream now.
  * 33_manpage_hyphen: Replace all -- in man page by \-\- to make lintian
    happy.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 24 Jan 2013 17:40:51 +0100

## privoxy 3.0.21

=== debian/changelog ===
privoxy (3.0.21-7+deb8u1) jessie-security; urgency=high

  * 40_CVE-2016-1982: Prevent invalid reads in case of corrupt
    chunk-encoded content.
  * 41_CVE-2016-1983: Remove empty Host headers in client requests.
    Previously they would result in invalid reads.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 22 Jan 2016 17:09:48 +0100

privoxy (3.0.21-7) unstable; urgency=medium

  * 37_CVE-2015-1380: denial of service.
  * 38_CVE-2015-1381: multiple segmentation faults and memory leaks in the
    pcrs code.
  * 39_CVE-2015-1382: invalid read.
  * These 3 patches Closes: #776490.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 28 Jan 2015 19:46:42 +0100

privoxy (3.0.21-5) unstable; urgency=low

  * 34_CVE-2015-1030: Fix memory leak in rfc2553_connect_to().  CID 66382
  * 35_CVE-2015-1031-CID66394: unmap(): Prevent use-after-free if the map 
    only consists of one item.  CID 66394.
  * 36_CVE-2015-1031-CID66376: pcrs_execute(): Consistently set *result to
    NULL in case of errors.  Should make use-after-free in the caller less
    likely.  CID 66391, CID 66376.
  * These 3 patches Closes: #775167.
  
 -- Roland Rosenfeld <roland@debian.org>  Mon, 12 Jan 2015 08:44:23 +0100

privoxy (3.0.21-4) unstable; urgency=low

  * Enable hardening=+all
  * Hardcode PIDFile in privoxy.service, since this isn't allowed as
    variable (Closes: #746262).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 10 May 2014 14:19:03 +0200

privoxy (3.0.21-3) unstable; urgency=low

  * When starting via systemd, do not run daemon as root, and honour log
    file configuration. Thanks to Carlos Maddela for providing a patch
    (Closes: #745274)

 -- Roland Rosenfeld <roland@debian.org>  Mon, 21 Apr 2014 17:24:01 +0200

privoxy (3.0.21-2) unstable; urgency=low

  * Use autotools-dev for arm64 compatibility (Closes: #727948).
  * Depend on initscripts >= 2.87dsf-8, (Closes: #564563).
  * Add systemd support (Thanks to Michael Stapelberg) (Closes: #639635).
  * Upgrade to Standards-Version 3.9.5 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 12 Apr 2014 12:54:58 +0200

privoxy (3.0.21-1) unstable; urgency=low

  * New upstream version 3.0.21-stable.
  * This fixes CVE-2013-2503 (Closes: #702896).
  * Update all patches.
  * Upgrade to Standards-Version 3.9.4 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 05 Jul 2013 14:46:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
 Build-Depends: debhelper (>= 9), autoconf, autotools-dev, libpcre3-dev,
- jade, docbook-dsssl, docbook, w3m, sp, sgmlspl, groff, man2html, zlib1g-dev
-Standards-Version: 3.9.3
+ jade, docbook-dsssl, docbook, w3m, sp, sgmlspl, groff, man2html, zlib1g-dev,
+ dh-systemd (>= 1.4)
+Standards-Version: 3.9.5
 Homepage: http://www.privoxy.org/
 
 Package: privoxy
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, logrotate,
- adduser, lsb-base (>= 3.2-13)
+ adduser, lsb-base (>= 3.2-13), initscripts (>= 2.87dsf-8)
 Recommends: doc-base
 Description: Privacy enhancing HTTP Proxy
  Privoxy is a web proxy with advanced filtering capabilities for

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,17 @@
 #!/usr/bin/make -f
 #
-# (c) 2002-2012 Roland Rosenfeld <roland@debian.org>
+# (c) 2002-2014 Roland Rosenfeld <roland@debian.org>
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 #export DH_OPTIONS=-v
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 DEBDIR=`pwd`/debian/privoxy
 
 %:
-	dh  $@
+	dh $@ --with autotools_dev --with systemd
 
 override_dh_auto_configure:
 	autoheader

## privoxy 3.0.23

=== debian/changelog ===
privoxy (3.0.23-3) unstable; urgency=medium

  * Since there are no new bugs found, this goes to unstable now.
  * Depend on perl-base instead of full perl.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 26 Apr 2015 11:01:08 +0200

privoxy (3.0.23-2) experimental; urgency=low

  * Fix cleanup to allow build twice in a row.
  * Preserve auto build configuration from source package.
  * This version checks and fails if the config file has erros
    (Closes: #518006).
  * init script is no longer silent (Closes: #543811).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 31 Jan 2015 12:31:26 +0100

privoxy (3.0.23-1) experimental; urgency=low

  * New upstream version 3.0.23-stable.
  * Update all patches.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 26 Jan 2015 14:15:47 +0100

privoxy (3.0.22-1) unstable; urgency=low

  * New upstream version 3.0.22-stable.
  * Update all patches.
  * Upgrade to Standards-Version 3.9.5 (no changes).
  * Add upstream GPG signature check.
  * Convert debian/copyright to DEP5.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 16 Nov 2014 18:38:40 +0100

privoxy (3.0.16-1+deb6u1) squeeze-lts; urgency=medium

  * Non-maintainer upload by the Squeeze LTS team.
  * Thanks to Roland Rosenfeld for maintaining privoxy and preparing these
    patches:
    - 35_CVE-2015-1031-CID66394: unmap(): Prevent use-after-free if the map
      only consists of one item.  CID 66394.
    - 36_CVE-2015-1031-CID66376: pcrs_execute(): Consistently set *result to
      NULL in case of errors.  Should make use-after-free in the caller less
      likely.  CID 66391, CID 66376.
    - 38_CVE-2015-1381: multiple segmentation faults and memory leaks in the
      pcrs code.
    - 39_CVE-2015-1382: invalid read.

 -- Holger Levsen <holger@debian.org>  Wed, 28 Jan 2015 19:44:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), autoconf, autotools-dev, libpcre3-dev,
  jade, docbook-dsssl, docbook, w3m, sp, sgmlspl, groff, man2html, zlib1g-dev,
  dh-systemd (>= 1.4)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.privoxy.org/
 
 Package: privoxy

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# (c) 2002-2014 Roland Rosenfeld <roland@debian.org>
+# (c) 2002-2015 Roland Rosenfeld <roland@debian.org>
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -26,12 +26,18 @@
 
 override_dh_auto_build:
 	$(MAKE)
+# 	preserve auto build documentation from source package:
+	tar cf debian/doc.tar README INSTALL AUTHORS doc/source doc/webserver
 	$(MAKE) dok
 	rm -f doc/webserver/user-manual/*.bak
 	env -u LANG $(MAKE) man
 	$(MAKE) man2html
 
-override_dh_clean:
+override_dh_auto_clean:
+#	restore auto build documentation from source package:
+	[ ! -f debian/doc.tar ] || tar xf debian/doc.tar
+	rm -f debian/doc.tar
+	find doc/source -name \*.html | xargs -r rm -f
 	[ ! -f GNUmakefile ] || $(MAKE) clean
 	[ ! -f GNUmakefile ] || $(MAKE) distclean
 	rm -f configure config.h GNUmakefile
@@ -77,3 +83,7 @@
 	dh_installdocs -XCVS
 	(cd $(DEBDIR)/usr/share/doc/privoxy/; \
 	 mv privoxy-index.html index.html)
+
+override_dh_perl:
+#	We only need perl-base:
+	dh_perl -d

## privoxy 3.0.24

=== debian/changelog ===
privoxy (3.0.24-1) unstable; urgency=medium

  * New upstream version 3.0.24.
  * This fixes CVE-2016-1982 and CVE-2016-1983.
  * Adapt all patches to new upstream version.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 22 Jan 2016 16:08:05 +0100

privoxy (3.0.23-5) unstable; urgency=medium

  * Remove /lib/init/vars.sh from init script since it is no longer used.
    As a consequence remove initscripts dependency (Closes: #804961).
  * --enable-external-filters (Closes: #805296).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 16 Nov 2015 21:05:41 +0100

privoxy (3.0.23-4) unstable; urgency=medium

  * Add rotate option to init.d script.
  * Change logrotate to use rotate option (Closes: #783399).
  * privoxy.service: define SuccessExitStatus=15.
  * Set locales to C.UTF-8 for doc generation to make build reproducible.
  * Run wrap-and-sort.
  * 34_system-docbook2man: Use Debian docbook2man-spec.pl (from
    docbook-utils) instead of local copy, to make package reproducible.
  * Stop runing "make man2html", since this overrides "make man", which
    should work reproducible.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 19 Sep 2015 15:05:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,32 @@
 Section: web
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
-Build-Depends: debhelper (>= 9), autoconf, autotools-dev, libpcre3-dev,
- jade, docbook-dsssl, docbook, w3m, sp, sgmlspl, groff, man2html, zlib1g-dev,
- dh-systemd (>= 1.4)
+Build-Depends: autoconf,
+               autotools-dev,
+               debhelper (>= 9),
+               dh-systemd (>= 1.4),
+               docbook,
+               docbook-dsssl,
+               docbook-utils,
+               groff,
+               jade,
+               libpcre3-dev,
+               man2html,
+               sgmlspl,
+               sp,
+               w3m,
+               zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: http://www.privoxy.org/
 
 Package: privoxy
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, logrotate,
- adduser, lsb-base (>= 3.2-13), initscripts (>= 2.87dsf-8)
+Depends: adduser,
+         logrotate,
+         lsb-base (>= 3.2-13),
+         ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends}
 Recommends: doc-base
 Description: Privacy enhancing HTTP Proxy
  Privoxy is a web proxy with advanced filtering capabilities for

=== debian/rules ===
--- 
+++ 
@@ -22,16 +22,16 @@
 		--mandir=/usr/share/man \
 		--enable-zlib \
 		--enable-no-gifs \
+		--enable-external-filters \
 		--with-docbook=/usr/share/sgml/docbook/stylesheet/dsssl/modular
 
 override_dh_auto_build:
 	$(MAKE)
 # 	preserve auto build documentation from source package:
 	tar cf debian/doc.tar README INSTALL AUTHORS doc/source doc/webserver
-	$(MAKE) dok
+	env -u LANG LC_ALL=C.UTF-8 $(MAKE) dok
 	rm -f doc/webserver/user-manual/*.bak
-	env -u LANG $(MAKE) man
-	$(MAKE) man2html
+	env -u LANG LC_ALL=C.UTF-8 $(MAKE) man
 
 override_dh_auto_clean:
 #	restore auto build documentation from source package:
